package main

import (
	"code.electrolab.fr/it/vote.electrolab.fr/app/importer"
	"fmt"
	"os"
)

func main() {
	if err := Run(); err != nil {
		fmt.Fprintf(os.Stderr, "Fatal error: %s\n", err.Error())
	}
}

func Run() error {
	config, err := importer.ReadConfigFile("importer.json")
	if err != nil {
		return err
	}

	listing, err := importer.ReadListingFile("listing.json")
	if err != nil {
		return err
	}

	importer, err := importer.NewApp(config)
	if err != nil {
		return err
	}

	err = importer.Run(listing)
	if err != nil {
		return err
	}

	return nil
}
